package com.ruoyi.project.document.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.document.domain.TPublicdoc;

/**
 * 公共盘文档Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface TPublicdocMapper 
{
    /**
     * 查询公共盘文档
     * 
     * @param id 公共盘文档ID
     * @return 公共盘文档
     */
    public TPublicdoc selectTPublicdocById(Long id);

    /**
     * 查询公共盘文档列表
     * 
     * @param tPublicdoc 公共盘文档
     * @return 公共盘文档集合
     */
    @DataScope(deptAlias = "d")
    public List<TPublicdoc> selectTPublicdocList(TPublicdoc tPublicdoc);

    /**
     * 新增公共盘文档
     * 
     * @param tPublicdoc 公共盘文档
     * @return 结果
     */
    public int insertTPublicdoc(TPublicdoc tPublicdoc);

    /**
     * 修改公共盘文档
     * 
     * @param tPublicdoc 公共盘文档
     * @return 结果
     */
    public int updateTPublicdoc(TPublicdoc tPublicdoc);

    /**
     * 删除公共盘文档
     * 
     * @param id 公共盘文档ID
     * @return 结果
     */
    public int deleteTPublicdocById(Long id);

    /**
     * 批量删除公共盘文档
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPublicdocByIds(Long[] ids);
}
